div#generalContainer{
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    right: 0;
    margin: 0 auto;
}

div#fourthContainer{
    width: 80%;
    margin: 20px auto;
}

div#fourthContainer h3{
    margin: 0 auto;
    width: 80%;
}
div#fourthContainer p{
    margin: 0 auto;
    width: 80%;
    text-align: justify;
}

div#fourthContainer ol{
    margin: 0 auto;
    width: 80%;
}

img#ioArduino{
    width: 300px;
    margin-left: calc((100% - 300px) / 2);
}

img#motikaJumperPosition{
    width: 300px;
    margin: 0 auto;
    margin-left: calc((100% - 300px) / 2);
}

img.imgInstruction{
    width: 600px;
    margin: 0 auto;
    margin-left: calc((100% - 600px) / 2);
}

div#fifthContainer{
    width: 80%;
    margin: 20px auto;
}

div#fifthContainer p{
    width: 80%;
    margin: 20px auto;
    text-align: justify;
}

div#wifiContainer{
    width: 80%;
    margin: 5px auto;
}

div#wifiContainer p{
    width: 80%;
    margin: 5px auto;
    text-align: justify;
}

div#wifiConnectContainer{
    width: 80%;
    margin: 5px auto;
}

div#wifiConnectContainer p{
    width: 80%;
    margin: 5px auto;
    text-align: justify;
}

div#wifiConnectContainer pre{
    width: 100%;
}

div#wifiNewtworkCreate{
    width: 80%;
    margin: 5px auto;
}

div#wifiNewtworkCreate p{
    width: 80%;
    margin: 5px auto;
    text-align: justify;
}

div#chargeControllerLua{
    width: 80%;
    margin: 15px auto;
}

div#chargeControllerLua p{
    width: 80%;
    margin: 5px auto;
    text-align: justify;
}

div#socketTcp{
    width: 80%;
    margin: 15px auto;
}

div#socketTcp pre{
    width: 100%;
}

div#socketTcp p{
    width: 80%;
    margin: 5px auto;
    text-align: justify;
}

div#chargeControllerLua{
    width: 80%;
    margin: 15px auto;
}

div#chargeControllerLua pre{
    width: 100%;
}

div#lastExample{
    width: 80%;
    margin: 15px auto;
}

div#lastExample pre{
    width: 100%;
}

div#lastExample p{
    width: 80%;
    margin: 5px auto;
    text-align: justify;
}

@media screen and (max-width:600px){
    div#fourthContainer{
        width: 95%;
        margin: 20px auto;
    }
    
    div#fourthContainer h3{
        width: 100%;
    }
    div#fourthContainer p{
        width: 100%;
    }
    
    div#fourthContainer ol{
        width: 90%;
    }
    
    div#fifthContainer{
        width: 95%;
    }
    
    div#fifthContainer p{
        width: 100%;
    }
    
    div#wifiContainer{
        width: 95%;
        margin: 5px auto;
    }
    
    div#wifiContainer p{
        width: 100%;
    }
    
    div#wifiConnectContainer{
        width: 95%;
    }
    
    div#wifiConnectContainer p{
        width: 100%;
    }
    
    div#wifiConnectContainer pre{
        width: 100%;   
    }

    div#wifiConnectContainer pre p{
        width: 100%;
        overflow-x: scroll;
    }
    
    div#wifiNewtworkCreate{
        width: 95%;
    }
    
    div#wifiNewtworkCreate p{
        width: 100%;
    }
    
    div#chargeControllerLua p{
        width: 100%;
    }
    
    div#socketTcp{
        width: 95%;
    }
    
    div#socketTcp pre{
        width: 100%;
    }
    
    div#socketTcp p{
        width: 100%;
    }
    
    div#chargeControllerLua{
        width: 90%;
        margin: 15px auto;
    }
    
    div#chargeControllerLua pre{
        width: 100%;
    }
    
    div#lastExample{
        width: 95%;
    }
    
    div#lastExample pre{
        width: 100%;
    }
    
    div#lastExample p{
        width: 100%;
        margin: 5px auto;
        text-align: justify;
    }

    img.imgResponsive{
        width: 90%;
        margin-left: 5%;
    }
}